{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function security_check, fieldcount, center_window, send_event, post_event\r\n$insert logical\r\n$insert security_rights_equ\r\n\r\nTemplatePassed = field( CreateParam, '*', 1 )\r\nSystemGenerated = false$\r\nif index( CreateParam, 'NOEXCEL', 1 ) then\r\n   Void = set_property( @window, '@NoExcel', 1 )\r\nend else\r\n   Void = set_property( @window, '@NoExcel', 0 )\r\nend\r\n\r\nif index( CreateParam, 'SYSTEM_GENERATED', 1 ) then\r\n\tSystemGenerated = true$\r\nend else\r\n\tif index( CreateParam, 'CENTER', 1 ) then\r\n\t    void = center_window( @window )\r\n\tend else\r\n\t    Void = set_property( @window, 'VISIBLE', 1 )\r\n\tend\r\nend\r\n\r\nTToVal = xlate( 'LISTBOX_CONFIG', 'EXPORTTABLENAMES', 1, 'X' )\r\nTToValOut = oconv( TToVal, '[TABLENAME_CONV]' )\r\nTcnt = fieldcount( TToVal, @vm )\r\nTList = ''\r\nfor i = 1 to Tcnt\r\n    if security_check( TToValOut<1,i>, Read$ ) then\r\n        TList<-1> = TToVal<1,i>\r\n    end\r\nnext i\r\nif TList then\r\n    IF @USER4 = 'BRYCE_M' THEN\r\n       TLIST<-1> = 'NOTES'\r\n       TLIST<-1> = 'MODS'\r\n    END\r\n    .exporttablenames->list = TList    \r\nend\r\nif SystemGenerated then\r\n\tVoid = set_property( @window, '@SystemGenerated', true$ )\r\n\tVoid = set_property( @window, '@CurCustomer', field( CreateParam, '*', 3 ) )\r\n\tTemplateToUse = field( CreateParam, '*', 2 )\r\n\t* THIS WILL BE THE ID TO THE TABLE, NO ERROR CHECKING CAUSE THE CODE WILL\r\n\t* BE THE ONLY CALLING PIECE\r\n\t.export_name->text = TemplateToUse\r\n\tVoid = send_event( @window:'.EXPORT_NAME', 'LOSTFOCUS' )\r\n\tVoid = send_event( @window:'.BUTTON_1', 'CLICK' )\r\nend else\r\n\tif TemplatePassed then\r\n\t   .export_name->text = TemplatePassed\r\n\t   Void = send_event( @window:'.EXPORT_NAME', 'LOSTFOCUS' )\r\n\tend\r\nEND\r\nRETURN 1"
        }
    }
}